Bug 614285 - 26.7 improper warning about swap
Summary: 26.7 improper warning about swap
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Virtualization_Administration_Guide   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Christopher Curran
QA Contact: ecs-bugs
URL:
Whiteboard:
Keywords: Documentation
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-14 02:46 UTC by Cao, Chen
Modified: 2011-12-06 01:04 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-31 04:23:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Cao, Chen 2010-07-14 02:46:49 UTC
Description of problem:

in the warning part, swap cannot actually improve performance,
swap will make more processes stay in "memory", this is achieved by
swapping some processes out of the memory to hard drive, and loading
them back to memory from hard drive, which actually consumes lots of
time.

Comment 2 Christopher Curran 2010-07-14 04:50:09 UTC
Reworded to:

Virtual memory allows Linux system to use more memory than there is physical RAM on the system. Underused processes are swapped out which allows active processes to use memory, improving memory utilization. Disabling swap reduces memory utilization as all processes are stored in physical RAM.

http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6/html-single/Virtualization/index.html#id2987579

Does this fix the error?

Thanks for the review.

Chris

Comment 4 Cao, Chen 2010-07-14 05:04:08 UTC
(In reply to comment #2)
> Reworded to:
> 
> Virtual memory allows Linux system to use more memory than there is physical
> RAM on the system. Underused processes are swapped out which allows active
> processes to use memory, improving memory utilization. Disabling swap reduces
> memory utilization as all processes are stored in physical RAM.
> 
> http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6/html-single/Virtualization/index.html#id2987579
> 
> Does this fix the error?
> 

yes.

Comment 7 Christopher Curran 2010-07-26 03:11:30 UTC
Try this link. The fix is in there:

http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6/html/Virtualization/ch27s06.html

Comment 8 Cao, Chen 2010-07-26 05:45:30 UTC
(In reply to comment #7)
> Try this link. The fix is in there:
> 
> http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6/html/Virtualization/ch27s06.html    

verified.


Note You need to log in before you can comment on or make changes to this bug.